// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniFoundation/OpenStepExtensions.subproj/NSObject-OFExtensions.h,v 1.4 1999/03/30 22:04:43 kc Exp $

#import <Foundation/NSObject.h>
#import "FrameworkDefines.h"

@interface NSObject (OFExtensions)

+ (void)initializeAllClasses;
+ (Class) classImplementingSelector: (SEL) aSelector;

@end


OmniFoundation_EXTERN IMP  OFReplaceMethodImplementation(Class aClass, SEL oldSelector, IMP newImp);
OmniFoundation_EXTERN BOOL OFClassIsSubclassOfClass(Class subClass, Class superClass);
